Subject: RE: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: "Drew Adams" <[email-masked]>
Date: Sat, 7 Mar 2009 11:45:36 -0800

> >> > One thing we could easily do is not set COLUMNS in the 
> >> > environment if pop-up-frames is being used,
> >> 
> >> Yes, please do that. Please do not set COLUMNS to the 
> >> current `frame-width'.
> >
> > Yidong, is this solution fine with you?
> 
> The width of a pop-up frame has, in general, nothing to do with the
> default value of COLUMNS (or the default value that the formatter
> assumes if COLUMNS is omitted).  So I don't see how this is any
> improvement.

That's why I said "please do *NOT* set COLUMNS to the current frame's width. The
problem is that it is currently being set that way; it should not be.